AuCreateBucket(3)

Name
AuCreateBucket - create a bucket

Synopsis
#include <audio/audiolib.h>

AuBucketID AuCreateBucket(server, format, tracks, access, sample_rate, nsamples, description, status)
    AuServer *server;
    AuUint32 format;
    AuUint32 tracks;
    AuUint32 access;
    AuUint32 sample_rate;
    AuUint32 num_samples;
    AuString *description;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

format
    Specifies the data format of the audio data. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.

tracks
    Specifies the number of tracks of the audio data.

access
    Specifies the types of operations permitted on this bucket. This must be a bitwise inclusive OR of zero or more of these constants: AuAccessImportMask, AuAccessExportMask, AuAccessDestroyMask, and AuAccessListMask.

sample_rate
    Specifies the sample rate of the audio data.

num_samples
    Specifies the number of samples the bucket will contain.

description
    Specifies a textual description of the bucket. This may be NULL.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuCreateBucket creates a bucket with the specified attributes, and returns the bucket ID, or AuNone if there was an error. The initial contents of the bucket are undefined.

Errors
AuBadValue, AuBadLength, AuBadAlloc.

See Also
AuDestroyBucket, AuSetBucketAttributes, AuListBuckets, AuFreeBucketAttributes.

audiolib - Network Audio System C Language Interface